Subject: Re: bug#16856: 24.3.50; Cursor leaves garbage in fringe

From: Alan Third <[email-masked]>
Date: Sun, 17 Jul 2016 14:35:13 +0100

On Sun, Jul 17, 2016 at 07:41:42PM +0900, David Reitter wrote:
> Good point, I can't tell.  It happens only in some situations (font
> size, text extent, window size)

I think I’ve got a reproducible case:

Emacs -Q

(visual-line-mode 1)
(variable-pitch-mode 1)
(setq-default cursor-type '(bar . 4))

SPC SPC SPC C-b C-b C-b

It doesn’t even have to be spaces, it looks like it's any case where
the bar cursor is wider than the underlying glyph.

Interestingly the Mac port doesn’t seem to ever draw the bar cursor
wider than the glyph whereas the NS port always draws it at the
configured width. Perhaps that’s where the fault is.
-- 
Alan Third